Subject: Re: Growing British Trees

From: [email-masked] (jos k.k. liem)
Date: 7 Nov 1995 17:59:06 GMT

In article <[email-masked]>, Julian Paul Robinson <[email-masked]> says:
>
>
>What with it being autumn here and the amount of seeds on trees,
>I have been thinking about growing some of these seeds.
>However I can find little information on what sort of conditions
>these seeds require for germination. Does anyone 'out there' have this 
>sort of information?
>The sort of species I'm thinking about are Oak, Beech, Ash, Lime, etc.
>
>Many thanks 
>
>Julian
>
There is a book : Seeds of woody Plants in North America (1992) by James A young
and Cheryl G.Young. Most agricultural libraries should have it.

The book covers all aspects of seed collecting, storage, germination of woody plant seeds (414pp.)

Yours, Jos K.K. Liem , Vancouver B.C. Canada